# Tanzu Framework Roadmap

## About this document

This document provides an up to date description of items that are intended for future development. This should serve as a reference point for consumers of this repo and contributors alike to understand where the project is heading, and help determine if a contribution could be conflicting with a longer term plan.

## How to help?

Discussion on the roadmap should take place in threads under Issues. Please comment on an issue if you want to provide suggestions and feedback to an item in the roadmap. Please review the roadmap to avoid potential duplicated efforts.

### How to add an item to the roadmap?

Please open an issue to track any initiative on the roadmap of Framework. For smaller enhancements, you can just open an issue to track that initiative or feature request. We work with and rely on community feedback to focus our efforts to improve Framework and maintain a healthy roadmap.

## Current Roadmap

The following table includes the current roadmap for Framework.

If you would like to contribute and don't know where to start, we are always looking for contributors that will help us reduce technical, automation, and documentation debt.

Please take the timelines & dates as proposals and goals. Priorities and requirements change based on community feedback, roadblocks encountered, etc.

Last Updated: 7/8/21

## Framework items

|Issue|Description|
|---|---|
|[725](https://github.com/vmware-tanzu/tanzu-framework/issues/725)|Capabilities Part 2 - TKG Discovery API|
|[726](https://github.com/vmware-tanzu/tanzu-framework/issues/725)|Capabilities Part 3 - Capabilities Custom Resource|
|[558](https://github.com/vmware-tanzu/tanzu-framework/issues/558)|Controller Devex Tools|
