// Copyright 2021 VMware, Inc. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0

package main

import (
	"github.com/spf13/cobra"

	"github.com/vmware-tanzu/tanzu-framework/pkg/v1/tkg/tkgpackagedatamodel"
)

var packageInstalledOp = tkgpackagedatamodel.NewPackageOptions()

var packageInstalledCmd = &cobra.Command{
	Use:       "installed",
	ValidArgs: []string{"list", "create", "delete", "update", "get"},
	Short:     "Manage installed packages",
	Args:      cobra.RangeArgs(1, 2),
}

func init() {
	packageInstalledCmd.PersistentFlags().StringVarP(&packageInstalledOp.KubeConfig, "kubeconfig", "", "", "The path to the kubeconfig file, optional")
}
